<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <!-- Title -->
    <!-- TODO change this -->
    <ion-title text-center>{{ "movies-list.title" | translate }}</ion-title>

    <ion-buttons right>
      <button ion-button icon-only (click)="openSearch()">
        <ion-icon name="search"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content no-padding>
  <movie-list
    [movies]="movies"
    (onMovieClick)="onMovieClick()"
  ></movie-list>

  <!-- cross-promo -->
  <!-- TODO move logic away from template -->
  <!-- <ion-list
    class="cross-promo-container"
    no-padding
    no-lines
    *ngIf="!AppsIsEmpty"
  >
    <ng-container *ngFor="let app of apps">
      <ion-item
        no-padding
        no-margin
        *ngIf="app.id != 'com.puregoldapps.ussr.comedy'"
      >
        <ion-card (click)="utils.openMarket(app.id)">
          <ion-card-content no-padding>
            <img class="movie-img" src="{{ app.img }}" />

            <div class="card-title">
              <h2 text-wrap>
                <ion-note style="vertical-align:super">Ad&nbsp;</ion-note
                >{{ app.title }}
                <ion-icon float-right color="secondary" name="more"></ion-icon>
              </h2>
            </div>
          </ion-card-content>
        </ion-card>
      </ion-item>
    </ng-container>
  </ion-list> -->

  <pagination
    [prevPageEnabled]="prevPageEnabled"
    [nextPageEnabled]="nextPageEnabled"
    (prevPage)="prevPage()"
    (nextPage)="nextPage()"
  ></pagination>
</ion-content>
